Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Several add-ons (including google calendar)claim I have firefox version 2, but I have upgraded to 3.6 and "about mozilla firefox" says 3.6. I can't load these add-ons.

more options

google calendar and an addon called BetterPrivacy claim I have firefox version 2. I have version 3.6.11. Why do these others insists I have version 2.0 and then not allow me to continue? How do I fix this?

All Replies (1)

more options